# com.github.insanusmokrassar.TelegramBotAPI.extensions.api.edit.ReplyMarkup - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.extensions.api.edit.ReplyMarkup

## Package com.github.insanusmokrassar.TelegramBotAPI.extensions.api.edit.ReplyMarkup

### Functions

(common)

#### editMessageReplyMarkup

`suspend fun RequestsExecutor.editMessageReplyMarkup(chatId: ChatIdentifier, messageId: MessageIdentifier, replyMarkup: InlineKeyboardMarkup? = null): ContentMessage<MessageContent>`
`suspend fun RequestsExecutor.editMessageReplyMarkup(chat: Chat, messageId: MessageIdentifier, replyMarkup: InlineKeyboardMarkup? = null): ContentMessage<MessageContent>`
`suspend fun RequestsExecutor.editMessageReplyMarkup(message: Message, replyMarkup: InlineKeyboardMarkup? = null): ContentMessage<MessageContent>`
`suspend fun RequestsExecutor.editMessageReplyMarkup(inlineMessageId: InlineMessageIdentifier, replyMarkup: InlineKeyboardMarkup? = null): Boolean`